Skip to main content

Get Tickers Information

Get real-time ticker statistics for spot trading pairs, including current prices, 24-hour price changes, trading volumes, and best bid/ask information.

HTTP Request

GET /api/v1/spot/market/tickers

Request Parameters

ParameterTypeRequiredDescription
symbolstringNoTrading pair symbol (e.g., BTCUSDT). If omitted, returns all symbols

Request Example

Single Symbol Request

curl -X GET "https://open-api.bydoxe.com/api/v1/spot/market/tickers?symbol=BTCUSDT"

All Symbols Request

curl -X GET "https://open-api.bydoxe.com/api/v1/spot/market/tickers"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobject/arrayResponse data (object for single symbol, array for all)
> symbolstringTrading pair symbol
> high24hstringHighest price in the last 24 hours
> openstringOpening price 24 hours ago
> low24hstringLowest price in the last 24 hours
> lastPrstringLatest price
> quoteVolumestringTrading volume in quote currency (24h)
> baseVolumestringTrading volume in base currency (24h)
> usdtVolumestringTrading volume in USDT equivalent (24h)
> bidPrstringBest bid price
> askPrstringBest ask price
> bidSzstringBest bid size
> askSzstringBest ask size
> openUtcstringOpening price at UTC 00:00
> tsstringTicker timestamp in milliseconds
> changeUtc24hstringPrice change since UTC 00:00
> change24hstring24-hour price change percentage

Response Example

Success Response (Single Symbol)

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": {
"symbol": "BTCUSDT",
"high24h": "93000",
"open": "92000",
"low24h": "90000",
"lastPr": "91234.56",
"quoteVolume": "100000000",
"baseVolume": "2000",
"usdtVolume": "100000000",
"bidPr": "91230.00",
"askPr": "91240.00",
"bidSz": "0.5",
"askSz": "0.6",
"openUtc": "91000",
"ts": "1763459280833",
"changeUtc24h": "-300",
"change24h": "-0.32%"
}
}

Success Response (All Symbols)

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": [
{
"symbol": "BTCUSDT",
"high24h": "93000",
"open": "92000",
"low24h": "90000",
"lastPr": "91234.56",
"quoteVolume": "100000000",
"baseVolume": "2000",
"usdtVolume": "100000000",
"bidPr": "91230.00",
"askPr": "91240.00",
"bidSz": "0.5",
"askSz": "0.6",
"openUtc": "91000",
"ts": "1763459280833",
"changeUtc24h": "-300",
"change24h": "-0.32%"
},
{
"symbol": "ETHUSDT",
"high24h": "3500",
"open": "3400",
"low24h": "3350",
"lastPr": "3456.78",
"quoteVolume": "50000000",
"baseVolume": "15000",
"usdtVolume": "50000000",
"bidPr": "3456.00",
"askPr": "3457.00",
"bidSz": "10",
"askSz": "12",
"openUtc": "3420",
"ts": "1763459280833",
"changeUtc24h": "36.78",
"change24h": "1.67%"
}
]
}

Error Codes

CodeMessage
40034symbol does not exist
50010Ticker data not available
50010No symbols found